gconfmm 2.28.3

- Main Page
- Modules
- Namespaces
- Classes

Enumerations
gconfmm Enums and Flags

## Enumerations
enum | Gnome::Conf::ClientErrorHandlingMode { Gnome::Conf::CLIENT_HANDLE_NONE, Gnome::Conf::CLIENT_HANDLE_UNRETURNED, Gnome::Conf::CLIENT_HANDLE_ALL }
enum | Gnome::Conf::ClientPreloadType { Gnome::Conf::CLIENT_PRELOAD_NONE, Gnome::Conf::CLIENT_PRELOAD_ONELEVEL, Gnome::Conf::CLIENT_PRELOAD_RECURSIVE }
enum | Gnome::Conf::ValueType { Gnome::Conf::VALUE_INVALID, Gnome::Conf::VALUE_STRING, Gnome::Conf::VALUE_INT, Gnome::Conf::VALUE_FLOAT, Gnome::Conf::VALUE_BOOL, Gnome::Conf::VALUE_SCHEMA, Gnome::Conf::VALUE_LIST, Gnome::Conf::VALUE_PAIR }
enum | Gnome::Conf::UnsetFlags { Gnome::Conf::UNSET_INCLUDING_SCHEMA_NAMES }

## Enumeration Type Documentation

enum Gnome::Conf::ClientErrorHandlingMode

Enumerator:

  CLIENT_HANDLE_NONE |
  CLIENT_HANDLE_UNRETURNED |
  CLIENT_HANDLE_ALL |

enum Gnome::Conf::ClientPreloadType

Enumerator:

  CLIENT_PRELOAD_NONE |
  CLIENT_PRELOAD_ONELEVEL |
  CLIENT_PRELOAD_RECURSIVE |

enum Gnome::Conf::UnsetFlags

Enumerator:

  UNSET_INCLUDING_SCHEMA_NAMES |

enum Gnome::Conf::ValueType

Enumerator:

  VALUE_INVALID |
  VALUE_STRING |
  VALUE_INT |
  VALUE_FLOAT |
  VALUE_BOOL |
  VALUE_SCHEMA |
  VALUE_LIST |
  VALUE_PAIR |